body{
    margin: 0;
    padding: 0;
}

@font-face{
    font-family: PlayfairDisplay;
    src: url(font/PlayfairDisplay-Regular.ttf);

    font-family: Galano;
    src: url(font/GalanoGrotesqueThin.otf);
}

#scrollUp{
    position: fixed;
    right: 20px;
    bottom: 20px;
    z-index: 1;

    width: 6vh;
    height: 6vh;

    border-radius: 50%;
    border: none;
    background-color: rgba(255, 255, 255, 0.1);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    color: black;
    opacity: 0.80;
}
#arrowIco{
    font-size: 3vh;
}





/* Main menu with big image */
#homeUp{
background-color: black;
position: relative;
height: 100vh;
font-family: PlayFairDisplay;
}

/* ::before pozwala na stowrzenie elemtu tylko w css */
#homeUp::before {
    content: '';
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    background-image: url(../img/about1.jpg);
    background-size: cover;
    background-position: 62% 0;
    opacity: 0.8;
}


/* navigation bar items*/
nav {
    position: relative;
    font-size: 16px;
    padding: 30px 3%;
    height: 20px;
    background: linear-gradient(to top,rgba(245, 246, 252, 0) 40%,rgba(255, 255, 255, 0.03) 80%, rgba(255, 255, 255, 0.07) 100%);
}

    /* underline and color with flow */
nav a{
    text-decoration: none; 
    color: rgba(255, 255, 255, 0.9);
}

/* navigation items itself*/
.menu{
    list-style-type: none;
    display: inline;
    display: flex;
    justify-content: space-between;
}
.menu li{
    display: inline;
    padding: 30px;
}
.center img{
    position: relative;
    scale: 30%;
    top: -165px;
}



/* main text with SCRIPT*/
#homeUp h2{

    /* makes text na overlay* */
    top: 40px;
    left: 0;
    position: absolute;
    color: rgba(255, 255, 255, 80%);

    /* center text */
    width: 100%;
    height: 85%;
    display: flex;
    align-items: center;
    justify-content: center;
}

@media screen and (max-width: 905px){
    nav {
        position: absolute;
        font-size: 16px;
        padding: 30px 3%;
        height: 20px;
        background: none;
    }
    
        /* underline and color with flow */
    nav a{
        text-decoration: none; 
        color: rgba(255, 255, 255, 0.9);
    }
    
    /* navigation items itself*/
    .menu{
        list-style-type: none;

        display: flex;
        justify-content: space-between;
    }
    .menu li{
        display: inline;
        padding: 30px;
    }
    .center img{
        position: absolute;
        scale: 30%;
        left: 0px;
        top: 0px;
    }
}

/* CONTAINER1 */
#container{
    width: 100%;
    height: 100vh;
}
.cleft{
    float: left;
    width: 50%;
    height: 100vh;

    overflow: hidden;

    display: flex;
    align-items: center;
    justify-content: center;
}
.cleft img{
    width: 50%;
    height: 90%;
    object-fit: cover;
}
.cright{
    float: left;
    width: 50%;
    height: 100vh;

    display: flex;
    align-items: center;
    justify-content: center;
}






/*  FOOTER   */
#footer{
    width: 100%;
    height: 50vh;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
}
.social-media, .social-media-mail{
    float: left;
    background-color: white;
    color: black;
    margin: 30px;
    width: 100px;
    height: 100px;
    border-radius: 60px;
    box-shadow: 0px 0px 20px rgb(240, 240, 240);
    transition: 0.7s;

    display: flex;
    align-items: center;
    justify-content: center;
}

.social-media:hover{
    width: 110px;
    height: 110px;
    cursor: pointer;
}
.social-media-mail:hover{
    width: 110px;
    height: 110px;
    cursor: pointer;
}